Error compiling 1.3.8 (or .4 or .7) with SPDY patch

On ubuntu 10.04. (AWS AMI)
Background:
I’m trying to setup a rails server to host nginx + SPDY on an AWS AMI
with Ubuntu 10.04.

After patching the source tree with the SPDY path I keep getting this
error:

src/http/ngx_http_request_body.c: In function
‘ngx_http_read_client_request_body’:
src/http/ngx_http_request_body.c:51: error: ‘rc’ undeclared (first use
in this function)
src/http/ngx_http_request_body.c:51: error: (Each undeclared identifier
is reported only once
src/http/ngx_http_request_body.c:51: error: for each function it appears
in.)
src/http/ngx_http_request_body.c:52: error: label ‘done’ used but not
defined

not sure what else to post, so below are some other things that I
thought might be useful.

I’m confused because it seems like so many others aren’t running into
compile issues so it makes me think that maybe I’m missing something. So
any help is greatly appreciated.

I’m also passing in the path to OpenSSL 1.0.1 (see the configure command
below).
Thanks
Chris

Gcc:
Using built-in specs.
Target: i686-apple-darwin11
Configured with:
/private/var/tmp/llvmgcc42/llvmgcc42-2336.11~67/src/configure
–disable-checking --enable-werror
–prefix=/Applications/Xcode.app/Contents/Developer/usr/llvm-gcc-4.2
–mandir=/share/man --enable-languages=c,objc,c++,obj-c++
–program-prefix=llvm- --program-transform-name=/^[cg][^.-]*$/s/$/-4.2/
–with-slibdir=/usr/lib --build=i686-apple-darwin11
–enable-llvm=/private/var/tmp/llvmgcc42/llvmgcc42-2336.11~67/dst-llvmCore/Developer/usr/local
–program-prefix=i686-apple-darwin11- --host=x86_64-apple-darwin11
–target=i686-apple-darwin11
–with-gxx-include-dir=/usr/include/c++/4.2.1
Thread model: posix
gcc version 4.2.1 (Based on Apple Inc. build 5658) (LLVM build
2336.11.00)

nginx version can be 1.3.4 or 1.3.7 or 1.3.8

configure command:

./configure --with-cc-opt=-Wno-error --prefix=/opt/nginx --user=nginx
–group=nginx --with-http_ssl_module
–with-openssl=/usr/local/build/openssl-1.0.1c

On Thursday 29 November 2012 02:27:44 Chris Brulak wrote:

error: ‘rc’ undeclared (first use in this function)
src/http/ngx_http_request_body.c:51: error: (Each undeclared identifier is
reported only once src/http/ngx_http_request_body.c:51: error: for each
function it appears in.) src/http/ngx_http_request_body.c:52: error: label
‘done’ used but not defined
[…]
nginx version can be 1.3.4 or 1.3.7 or 1.3.8
[…]

The latest patch only suitable for 1.3.9. If you want to compile 1.3.8
with
SPDY, then you should use
http://nginx.org/patches/spdy/patch.spdy-53.txt

wbr, Valentin V. Bartenev


http://nginx.com/support.html
http://nginx.org/en/donation.html

ok. I’ll try that right now.

Thanks for the quick reply.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs